:root {
    --pink: #d0a991;
    --red: #c82525;

    --dk-teal: #1c3948;
    --lt-blue: #0aafb7;

    --grey-bl: #4c5162;
    --grey: #666e7f;
    --lt-grey: #e4e7ea;

    --blue: #274f63;
    --dk-blue: #1c3948;

}

body {
    height: 100%;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    margin: 0;
    padding: 0;
    background-color: var(--lt-grey);
    color: black;
}




h1,
h2,
h3 {
    margin: 1rem 0;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

h1 {
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    font-size: 2rem;
}

h2 {
    color: white;
    margin-bottom: 1rem;
    font-weight: bold;
}

p {
    color: var(--lt-grey);
}



.inner-container {
    max-width: 70rem;
    margin: 0 auto;
    padding: 0 1rem;
}

.flex-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header {
    background-color: white;
    padding: 1rem 0;
}

ul.menu {
    padding: 0;
}

.menu a {
    color: #3f3f3f;
    text-decoration: none;
    display: block;
}

.menu a:hover,
.menu a:active {
    background-color: gainsboro;
    border-radius: 4px;
}

.menu li {
    line-height: 2.5rem;
    text-align: center;
}

button {
    border: none;
    background-color: white;
}

button:hover {
    cursor: pointer;
}


header nav {

    position: absolute;
    left: 0;
    top: 110px;
    background-color: white;
    width: 100vw;
    max-height: 0;
    overflow: hidden;
    transition: max-height 1s ease-in-out;
}


.logo {
    width: 7rem;
}

/* -----------------Banner------------------- */


.hero-image {
    margin: 2rem 0;
    background: url("../img/montn-pexel.webp");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    height: 350px;


}

.hero-text {
    border-radius: 1rem;
    text-align: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
}



.hero-text button:hover {
    background-color: var(--dk-teal);
    color: white;
}

.hero-text button {
    font-weight: bold;
    background-color: var(--red);
    border: none;
    color: white;
    padding: 0.5rem 1rem;
    border-radius: 1rem;
    text-align: center;
    text-decoration: none;
    display: inline-block;
}


.show-nav {
    max-height: 225px;
    z-index: 1;
}


/* ------------Content--------------- */

.container {
    display: flex;
    flex-wrap: wrap;
    background-color: var(--lt-greys);
}

.container section {
    margin: 2rem;
    padding: 0rem;
    background-color: var(--blue);

}

.container section>div:last-of-type {
    padding: 1rem;
}

.banner img {

    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    border-radius: 1rem;

}

/* -----------------Footer--------------- */
footer {
    background-color: var(--red);
    padding: 1rem;

}

footer a {
    text-decoration: none;
    color: var(--lt-grey);
}

.foot {
    display: flex;
    justify-content: space-between;
}






/* --------------- Sections ---------------- */


@media screen and (min-width: 700px) {

    .inner-container {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .toggle {
        display: none;

    }

    header nav {
        max-height: 200px;
        width: unset;
        overflow: visible;
        position: static;
    }

    ul.menu {
        display: flex;
        gap: 1rem;
    }

    .menu a {
        padding: 0 0.75rem;
    }

    .container {
        flex-direction: column;
    }


    /* --------------- Sections ---------------- */


    .zipinfo section {
        display: flex;
        gap: 1rem;

    }

    .zipinfo section div {
        flex: 1;
    }

    .sec-safe {
        flex-direction: row-reverse;
    }
}

/* ----------------Cookies---------------- */
#cookiePopup {
    background-color: #ffffff;
    position: sticky;
    left: 5%;
    bottom: 10%;
    font-size: 14px;
    width: 90%;
    box-shadow: 0 0 2em rgba(5, 0, 31, 0.15);
    font-family: "Poppins", sans-serif;
    text-align: justify;
    line-height: 1.8em;
    margin: 0 auto;
    padding: 2em 1.4em;
    border-radius: 6px;
    transition: all 0.5s ease-in-out;
    overflow: hidden;
}

#cookiePopup p {
    text-align: center;
    margin: 1.4em 0;
    color: black;
}

#cookiePopup button {
    background-color: #3f704d;
    border: none;
    color: #ffffff;
    font-size: 1.2em;
    padding: 1em 1.4em;
    display: block;
    position: relative;
    margin: auto;
    border-radius: 5px;
}

#cookiePopup a {
    color: #3f704d;
}

.hide {
    visibility: hidden;
}

.show {
    visibility: visible;
}

.food {
display: flex;

}
.food div{
    flex: 1;
    margin: 1rem;
}
h2#special{

    text-align: center;
    padding: 2rem;
   background-color: var(--red);
    font-size: 2rem;
    font-weight: bold;
    margin: 1rem 0;
}
